import { Parser } from './types';
/** Parses the utf-8 content of a given file's content.
 * @param path The path to the file to parse.
 * @param parser The parser to use.
 * @returns The result of the parse.
 * @throws {ParseError} if the parsing fails or the parser does not consume the full input.
 */
export declare function ParseFile<T>(path: string, parser: Parser<T>): T;
/** Parses the given string.
 * @param text The string to parse.
 * @param parser The parser to use.
 * @param path The path of the parsed text. Can be used for error reporting.
 * @returns The result of the parse.
 * @throws {ParseError} if the parsing fails or the parser does not consume the full input.
 */
export declare function ParseText<T>(text: string, parser: Parser<T>, path?: string): T;
