"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.any = void 0;
const types_1 = require("../types");
function any(...parsers) {
    return (ctx) => {
        const expected = [];
        for (const parser of parsers) {
            const res = parser(ctx);
            if (types_1.isFailure(res)) {
                expected.push(res);
            }
            else
                return res;
        }
        const longest = expected.reduce((a, b) => a.ctx.index > b.ctx.index ? a : b);
        return types_1.failure(longest.ctx, longest.expected, ['any', ...longest.history]);
    };
}
exports.any = any;
