import { Parser } from '../types';
/** Allows to make a condition on the result of the parsing function.
 * @returns A parser returning the same but also performing a given check on the result.
 */
export declare function ref<T>(parser: Parser<T>, check: ((p: T) => boolean), expected: string): Parser<T>;
/** Changes the expected value for when the parser fails.
 * @returns A parser returning the same but with a different expected value.
 */
export declare function expect<T>(parser: Parser<T>, expected: string): Parser<T>;
