import { Parser } from '../types';
/** Parses 0 or more spaces
 */
export declare const spaces: Parser<string>;
/** Parses 1 or more spaces
 */
export declare const spacesPlus: Parser<string>;
/** Parses 0 or more whitespace characters
 */
export declare const wspaces: Parser<string | null>;
/** Parses a boolean (true or false) and returns a string
 */
export declare const bool: Parser<'true' | 'false'>;
/** Parses a boolean (true or false) and returns a boolean
 */
export declare const boolP: Parser<boolean>;
/** Parses an integer and returns a string
 */
export declare const int: Parser<string>;
/** Parses an integer and returns a number
 */
export declare const intP: Parser<number>;
/** Parses a standard real number (X.X) and returns a string
 */
export declare const real: Parser<`${number}.${number}`>;
/** Parses a standard real number (X.X) and returns a number
 */
export declare const realP: Parser<number>;
